Bug 486512 - default route setting fails if DHCP change the ip address
default route setting fails if DHCP change the ip address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 23:17 EST by alex.shi
Modified: 2009-12-18 02:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:58:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description alex.shi 2009-02-19 23:17:47 EST
Description of problem:
default route setting fails if DHCP change the ip address for one box in network rebooting.


Version-Release number of selected component (if applicable):
Fedora 10


How reproducible:




Steps to Reproduce:
1, change the ip address in DHCP server for one box
2, restart network on the box.
  
Actual results:
default route missing in route table. 

[root@linux-b02 ~]# route
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.23.232.0     *               255.255.255.0   U     0      0        0 eth0


Expected results:
default route setting correct. 

Additional info:

+ case "${reason}" in
+ dhconfig
+ '[' -n 10.23.232.103 ']'
+ '[' -n '' ']' 
+ '[' -n 10.23.232.103 ']'
+ '[' '!' 10.23.232.103 = 10.23.232.199 ']'
+ ip -family inet addr flush dev eth0
Nothing to flush.
+ ip -family inet link set dev eth0 down
+ '[' BOUND = BOUND ']'
+ ip -family inet addr add 10.23.232.199/24 broadcast 10.23.232.255 dev eth0
.....

+ '[' -n '' ']'
+ '[' -x /etc/dhclient-eth0-up-hooks ']'
+ '[' -x /etc/dhclient-up-hooks ']'
+ [[ -z '' ]]
+ [[ -z '' ]]
+ metric=
+ let i=0
+ default_routers=()
+ for router in '${new_routers}'
+ added_router=-
+ '[' -z 10.23.232.1 ']'
+ '[' - = 1 ']'
++ IFS=.
++ ip2num 10.23.232.1
++ IFS=.
++ quad2num 10 23 232 1
++ '[' 4 -eq 4 ']'
++ let 'n=10 << 24 | 23 << 16 | 232 << 8 | 1'
++ echo 169338881
++ return 0
+ '[' 169338881 -le 0 ']'
+ [[ 10.23.232.1 = \1\0\.\2\3\.\2\3\2\.\2\5\5 ]]
+ default_routers=(${default_routers[@]} ${router})
+ add_default_gateway 10.23.232.1

...

+ mysubnet=10.23.232.0
+ unreachable=0
+ '[' '!' 10.23.232.0 = 10.23.232.0 ']'
+ return 0
+ ip route replace default via 10.23.232.1 dev eth0
RTNETLINK answers: Network is unreachable

here, the route setting failed, because eth0 was down but not up before do this.

to resolve this issue. remove the "ip -family link .... down" in dhconfig line 219: 
       ip -family inet link set dev ${interface} down

or adding a ip link set dev ${interface} up after 

line 229,   ip -family inet addr add ....
Comment 1 David Cantrell 2009-04-16 21:44:12 EDT
Thanks for the report.  A fix for this will be in dhcp-4.0.0-34.fc10 for F-10.  I will also make this change in F-11 and rawhide.
Comment 2 Fedora Update System 2009-04-17 17:22:15 EDT
dhcp-4.0.0-34.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-34.fc10
Comment 3 Fedora Update System 2009-04-21 20:59:19 EDT
dhcp-4.0.0-34.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3825
Comment 4 Fedora Update System 2009-06-26 23:01:42 EDT
dhcp-4.0.0-36.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dhcp-4.0.0-36.fc10
Comment 5 Fedora Update System 2009-07-11 13:09:09 EDT
dhcp-4.0.0-36.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Bug Zapper 2009-11-18 04:52:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:58:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.